ODFPY: odf.draw Namespace Reference

ODFPY 1.2.0 |

All Classes Namespaces Files Functions Variables
Functions
odf.draw Namespace Reference

## Functions
def | StyleRefElement
def | DrawElement
def | A
def | Applet
def | AreaCircle
def | AreaPolygon
def | AreaRectangle
def | Caption
def | Circle
def | Connector
def | ContourPath
def | ContourPolygon
def | Control
def | CustomShape
def | Ellipse
def | EnhancedGeometry
def | Equation
def | FillImage
def | FloatingFrame
def | Frame
def | G
def | GluePoint
def | Gradient
def | Handle
def | Hatch
def | Image
def | ImageMap
def | Layer
def | LayerSet
def | Line
def | Marker
def | Measure
def | Object
def | ObjectOle
def | Opacity
def | Page
def | PageThumbnail
def | Param
def | Path
def | Plugin
def | Polygon
def | Polyline
def | Rect
def | RegularPolygon
def | StrokeDash
def | TextBox

## Function Documentation

def odf.draw.A | ( |  | args | ) |

Definition at line 53 of file draw.py.

def odf.draw.Applet | ( |  | args | ) |

Definition at line 57 of file draw.py.

def odf.draw.AreaCircle | ( |  | args | ) |

Definition at line 60 of file draw.py.

def odf.draw.AreaPolygon | ( |  | args | ) |

Definition at line 63 of file draw.py.

def odf.draw.AreaRectangle | ( |  | args | ) |

Definition at line 66 of file draw.py.

def odf.draw.Caption | ( |  | args | ) |

Definition at line 69 of file draw.py.

Here is the call graph for this function:

def odf.draw.Circle | ( |  | args | ) |

Definition at line 72 of file draw.py.

Here is the call graph for this function:

def odf.draw.Connector | ( |  | args | ) |

Definition at line 75 of file draw.py.

Here is the call graph for this function:

def odf.draw.ContourPath | ( |  | args | ) |

Definition at line 78 of file draw.py.

def odf.draw.ContourPolygon | ( |  | args | ) |

Definition at line 81 of file draw.py.

def odf.draw.Control | ( |  | args | ) |

Definition at line 84 of file draw.py.

Here is the call graph for this function:

def odf.draw.CustomShape | ( |  | args | ) |

Definition at line 87 of file draw.py.

Here is the call graph for this function:

def odf.draw.DrawElement | ( |  | name = `None`,
|  |  | args
| ) |  |

Definition at line 46 of file draw.py.

Here is the caller graph for this function:

def odf.draw.Ellipse | ( |  | args | ) |

Definition at line 90 of file draw.py.

Here is the call graph for this function:

def odf.draw.EnhancedGeometry | ( |  | args | ) |

Definition at line 93 of file draw.py.

def odf.draw.Equation | ( |  | args | ) |

Definition at line 96 of file draw.py.

def odf.draw.FillImage | ( |  | args | ) |

Definition at line 99 of file draw.py.

Here is the call graph for this function:

def odf.draw.FloatingFrame | ( |  | args | ) |

Definition at line 103 of file draw.py.

def odf.draw.Frame | ( |  | args | ) |

Definition at line 107 of file draw.py.

Here is the call graph for this function:

def odf.draw.G | ( |  | args | ) |

Definition at line 110 of file draw.py.

Here is the call graph for this function:

def odf.draw.GluePoint | ( |  | args | ) |

Definition at line 113 of file draw.py.

def odf.draw.Gradient | ( |  | args | ) |

Definition at line 116 of file draw.py.

Here is the call graph for this function:

def odf.draw.Handle | ( |  | args | ) |

Definition at line 119 of file draw.py.

def odf.draw.Hatch | ( |  | args | ) |

Definition at line 122 of file draw.py.

Here is the call graph for this function:

def odf.draw.Image | ( |  | args | ) |

Definition at line 125 of file draw.py.

Here is the caller graph for this function:

def odf.draw.ImageMap | ( |  | args | ) |

Definition at line 128 of file draw.py.

def odf.draw.Layer | ( |  | args | ) |

Definition at line 131 of file draw.py.

def odf.draw.LayerSet | ( |  | args | ) |

Definition at line 134 of file draw.py.

def odf.draw.Line | ( |  | args | ) |

Definition at line 137 of file draw.py.

Here is the call graph for this function:

def odf.draw.Marker | ( |  | args | ) |

Definition at line 140 of file draw.py.

Here is the call graph for this function:

def odf.draw.Measure | ( |  | args | ) |

Definition at line 143 of file draw.py.

Here is the call graph for this function:

def odf.draw.Object | ( |  | args | ) |

Definition at line 146 of file draw.py.

def odf.draw.ObjectOle | ( |  | args | ) |

Definition at line 149 of file draw.py.

def odf.draw.Opacity | ( |  | args | ) |

Definition at line 152 of file draw.py.

Here is the call graph for this function:

def odf.draw.Page | ( |  | args | ) |

Definition at line 155 of file draw.py.

def odf.draw.PageThumbnail | ( |  | args | ) |

Definition at line 158 of file draw.py.

Here is the call graph for this function:

def odf.draw.Param | ( |  | args | ) |

Definition at line 161 of file draw.py.

def odf.draw.Path | ( |  | args | ) |

Definition at line 164 of file draw.py.

Here is the call graph for this function:

def odf.draw.Plugin | ( |  | args | ) |

Definition at line 167 of file draw.py.

def odf.draw.Polygon | ( |  | args | ) |

Definition at line 171 of file draw.py.

Here is the call graph for this function:

def odf.draw.Polyline | ( |  | args | ) |

Definition at line 174 of file draw.py.

Here is the call graph for this function:

def odf.draw.Rect | ( |  | args | ) |

Definition at line 177 of file draw.py.

Here is the call graph for this function:

def odf.draw.RegularPolygon | ( |  | args | ) |

Definition at line 180 of file draw.py.

Here is the call graph for this function:

def odf.draw.StrokeDash | ( |  | args | ) |

Definition at line 183 of file draw.py.

Here is the call graph for this function:

def odf.draw.StyleRefElement | ( |  | stylename = `None`,
|  |  | classnames = `None`,
|  |  | args
| ) |  |

Definition at line 26 of file draw.py.

Here is the caller graph for this function:

def odf.draw.TextBox | ( |  | args | ) |

Definition at line 186 of file draw.py.